## Componently Button
The button component includes a couple of classes, each serving it's semantic purpose.

### Usage
```
button [-type-<primary|secondary|tertiary|link>] [-shape-rounded] [is-disabled]
```
> ```type``` can be omitted as it is the default namespace. To learn more about the syntax visit the [Componently Docs](https://github.com/componently/componently)

### Getting Started
The quickest way to get started is to download the compiled CSS.

[Download the latest release]()

Alternatively, you can install and manage componently-button using NPM:
```
npm install --save componently-button
```

### How to Use
```html
<div class="button -type-primary"></div>
<div class="button -secondary"> </div> // `type` can be omitted as it is the default namespace
<div class="button -tertiary"> </div>
<div class="button -link"> </div>

<div class="button -primary -shape-rounded"> </div>

<div class="button -primary is-disabled"> </div>
```

### Compiling CSS
Componently Button uses Webpack for its build system

```
npm install
npm start
```

Regenerates the `/build` directory with compiled and minifed CSS.
